S4B TV Recorder

Soft4Boost Help

S4B TV Recorder

www.sorentioapps.com

© Sorentio Systems, Ltd. All rights reserved


Contact Us

If you have any comments, suggestions or questions regarding S4B TV Recorder or if you have a new feature that you feel can be added to improve our product, please feel free to contact us.

When you register your product, you may be entitled to technical support.

General information: | info@soft4boost.com
Technical support: | support@soft4boost.com
Sales: | sales@soft4boost.com

Technical Support

S4B TV Recorder do not require any professional knowledge. If you experience any problem or have a question, please refer to the S4B TV Recorder Help. If you cannot find the solution, please contact our support staff.

Note: only registered users receive technical support

S4B TV Recorder provides several forms of automated customer support

Soft4Boost Support System You can use the Support Form on our site to ask your questions.

E-mail Support

You can also submit your technical questions and problems via e-mail to

support@soft4boost.com

Note: for more effective and quick resolving of the difficulties we will need the following information: Name and e-mail address used for registration System parameters (CPU, hard drive space available, etc.) Operating System Detailed step by step describing of your action


Resources

Documentation for S4B TV Recorder is available in a variety of formats:

In-product (.chm-file) and Online Help:

You will be able to use help file (.chm) through the Help menu of the installed S4B TV Recorder.

Online Help include all the content from the In-product help file and updates and links to additional instructional content available on the web. You can find the Support at our web-site -http://sorentioapps.com. Please note, that the most complete and up-to-date version of S4B TV Recorder help is always on the web.

PDF Documentation

The offline help is also available as a pdf-file that is optimized for printing. PDF help file is available for download at the program page at Soft4Boost web-site. To be able to read and print S4B TV Recorder PDF help file you will need to have a PDF reading program installed.

User Guides

You have access to a wide variety of resources that help you make S4B TV Recorder. The stepby-step user guides will be of help not only to the novice users but also to the users that face a certain task to be performed and look for a way to do it. Please, visit our Support section of Soft4Boost web-site at to read the detailed instructions for various software and tasks.

Technical Support

Visit the Support at our web-site http://sorentioapps.com to ask your questions concerning S4B TV Recorder installation, registration and use. Feel free to also use our e-mail address

support@soft4boost.com

Downloads

Visit the Downloads section of our web-site to find free updates, tryouts, and other useful software. We constantly update the software, new versions of the most popular programs and new software are also frequently released.


Overview

Soft4Boost TV Recorder is an easy to use application that will let you capture video from different devices, watch programs using digital TV tuners with the Hardware MPEG encoder.

User-friendly and understandable interface allows you to enjoy working with broadcast video and capture devices without frequent consulting with reference materials. You do not need to be a professional to use this tool. You can also record video and preview the results to make sure that you recorded what you had wanted.

There is no need to have many different programs for video capturing and television broadcast watching - multifunctional and powerful Soft4Boost TV Recorder will easily deal with several tasks.

To start Soft4Boost TV Recorder go to Start menu and choose All Programs -> Soft4Boost -> TV Recorder –> TV Recorder.


Program Interface

The program interface comprises several windows and looks like this:

Preview window - allows the user to preview the selected channels and watch the recorded files.

Favorite channels panel - allows the user to show the list of favorite channels and manage it.

Main controls panel - allows the user to configure the program and navigate through the panels.

When you run the program for the first time, you see the windowed mode of the program interface which contains the Preview window, the Main controls panel and the Favorite Channels panel. The next launch, these panels can be hidden or they can be completed with an additional Snapshots panel.


Preview Window

The Preview window of the program offers you the possibility to watch your favorite television shows and movies or play the recorded video files.

The program is run in a windowed mode by default, but you can organize the playback and broadcast viewing area as you wish.

To open a Full Screen mode:

– double click the Preview window
– choose the appropriate option in the express menu
– use hot keys combination Enter + Alt

This option make the Preview window occupy all the available displayable surface of a screen. The modified main controls panel appears in the bottom of the screen, it will automatically disappear in several seconds. If you need to use it, just move your mouse. In order to go back to the windowed mode and get all the panels back, press the Esc button or Enter + Alt buttons on your keyboard.

You can also minimize the Preview window choosing the Compact View option in the express menu or using hot keys (Enter + Ctrl).

When the Compact view is enabled you'll see a small window in the right bottom corner of the screen without any additional panels. Use this option if you don't want to watch TV at the moment but you wait for an interesting show, film or a news program.

You'll be able to navigate through the program using the express menu. In order to go back to the windowed mode, press the Enter + Ctrl buttons on your keyboard.

There is also a program icon installed in the system tray, click it with a right mouse button to Restore the default window layout or to Exit the program.

Note: when you close the program, the size and layout of the panels will be memorized for next launch.


Favorite Channels Panel

The Favorite Channels window was designed to facilitate your navigation through the channels. Using it you no longer need to configure the TV Tuner every time to watch the same channels. All you need is to add them to the favorites list:

The Favorite Channels window opens every time you launch the program, if you need to close it click the Channels button on the main controls panel. You will be able to rename the channels and put them in proper order in the Favorite Channels window using its own express menu. Please, read the respective section for more details.


Main Controls Panel

Display – shows current time or time elapsed since the file recording or playback started and also the real-time delay during the time shifting process. It also shows the process state and the name of the channel you watch or record.

Previous Channel button – used to return to the previous channel in the favorite list.

Channel Back button –used to return to the previously watched channel.

Next Channel button – used to advance to the next channel in the favorite list.

Previous File button –used to play the previous file from the recorded video files list.

Show recorded files button –used to open the recorded files list.

Next File button – used to play the next file from the recorded video files list.

Volume level control – used to bring the level control up and down.

Mute button – used to mute/unmute the sound.

Settings button – used to open the Settings window.

Scheduler button – used to open the Scheduler window, to add a new task and to modify your tasks list.

Surfing button – used to show several channels from the favorite list one by one every 5 seconds.

Channels button – used to open/close the favorite channels panel.

Snapshots button – used to open/close the Snapshots panel.

Player controls – used to manage the recording and the playback options.

Navigation slider – used to navigate through the playing file or in timeshift mode.


Express Menu

Express Menu is an easy way to access the program's main controls with just one mouse click. You can activate it by clicking the right button of the mouse when the cursor is positioned on the video window.

Preview window express menu

Preview window express menu is activated when you click the right mouse button within the limits of the Preview window. There are the following main items in this menu:

Channels – use this option to switch between the channels from the Favorites list without the need to open the Favorites window.

Full Screen – use this option to switch to the full screen view from the windowed mode and back.

Always on top – use this option to make the Soft4Boost TV Recorder program always stay on top all other programs windows.

Compact View – use this option to close all the panels and minimize the preview window.

Volume – use this option to decrease/increase the volume level or switch the sound off/on.

Show Panels – use this option to show or hide the main controls panel and all the other panels opened. You can select the panel to be shown or hidden from the opened submenu list or you can select to open or hide all the panels.

About – use this option to view the information about Soft4Boost TV Recorder.

Visit web site – use this option to open the program Overview page on soft4boost.com web site.

Soft4Boost Support – use this option to open our Support Form page.

Exit – use this option to close the Soft4Boost TV Recorder program.

Favorites window express menu

Favorites window express menu is activated when you click the right mouse button within the limits of the Favorites window. There are the following main items in this menu:

Add Channel(s) – use this option to open the Settings window and add the necessary channel from the scanned channels list.

Rename – use this option to rename the currently selected channel.

Properties – use this option to open the window showing the selected channel properties.

Remove – use this option to delete the selected channel from the Favorites list.

Move channel up – use this button to move the channel up in the Favorites list.

Move channel down – use this button to move the channel down in the Favorites list.

Clear – use this option to remove all the channels from the Favorites list.

Show action buttons – use this option to show/hide the action buttons on the bottom of the Favorites window.

Settings – use this option to open the Settings window.

Snapshots window express menu

Snapshots window express menu is activated when you click the right mouse button within the limits of the Snapshots window. There are the following main items in this menu:

Preview – use this option to see the full-size image of the selected snapshot.

Snapshot – use this option to take a snapshot of the current video display image.

Find target... – use this option to open the default folder on your hard drive containing all the created snapshots.

Delete – use this option to remove the selected snapshot from the list.

Delete All – use this option to remove all the snapshots from the list.

Settings window express menu

Settings window express menu is activated when you open the Channels tab of the Settings window and click one of the scanned channels with the right mouse button. There are the following main items in this menu:

Properties – use this option to open the window showing the selected channel properties.

Rename – use this option to rename the currently selected channel.

Clear list – use this option to remove all the channels from the scanned channels list.

Add to favorites – use this option to add the currently selected channel to the Favorites list.

Remove from favorites – use this option to delete the currently selected channel from the Favorites list.

Scheduler window express menu

Scheduler window express menu is activated when you open the Scheduler window and click the right mouse button within the limits of the window. There are the following main items in this menu that correspond to the buttons in this window:

Start Task – use this option to run the selected task.

Stop Task – use this option to stop the selected task.

New Task – use this option to open the Scheduled Task window and set a new task.

Rename Task – use this option to rename the selected task.

Modify Task – use this option to open the Scheduled Task window and change the task parameters.

Delete Task – use this option to remove the selected task from the Scheduler window.

Clear – use this option to remove all the scheduled tasks from the list.

Recorded Files window express menu

Recorded Files window express menu is activated when you open the Recorded Files window and click the right mouse button within the limits of the window. There are the following main items in this menu that correspond to the buttons in this window:

Play – use this option to playback the recorded video files.

Stop – use this option to stop the recorded files playback.

Edit – use this option to edit the recorded files.

Rename – use this option to change the names of the currently selected recorded files.

Find target... – use this option to open the default folder on your hard drive containing all the recorded files.

Delete – use this option to remove the currently selected files from the list.

Delete All – use this option to remove all the files from the list and clear it.


Working with Soft4Boost TV Recorder

Soft4Boost TV Recorder has a simple and intuitive interface and lets the user start watching the video right after it is installed.

Nevertheless you will need to configure your device that is used as a capture device before you can start watching the channels or record video.

The configuration will include several easy steps:

1). Connect your device to your personal computer. You might need to turn down your PC to install the internal devices, such as TV tuner cards and alike. If your device has a USB-interface, it is usually possible to connect it while your personal computer is running. Please read the manual that comes with your device to avoid damage and installation problems.

2). Start your computer and install the capture device drivers. They are usually placed onto the CD/DVD/Blu-Ray that comes along with the device, or you can download them from the device manufacturer's web site. For many of the devices connected via USB-cable no additional driver software is needed as it is included into the windows installation package.

3). Launch the Soft4Boost TV Recorder software. Click the Settings button to scan the channels that you will be able to watch using Soft4Boost TV Recorder.

4). Select the Device Parameters tab of the Settings window. Check the device parameters. See the Device Parameters Settings section for more detail on how to configure the capture devices.

5). Select the Channels tab of the Settings window. Click the Start Scan button to search for the existing channels. After that you can click the channel you would like to watch or record with the right mouse button and select the Add to favorites option from the express menu. See the Channels Settings section on how to add channels to the Favorites list and set different channels parameters.

6). To watch the channels now you need to click the OK button to accept all the changes and close the configuration window. If you don't have time to enjoy your favorite show at the moment, use the Timeshifting option to watch it later at a more convenient time.

7). If you plan to record your video, just click the Record button on the player controls panel or use the scheduler to set different tasks. After that you will be able to play the recorded video files. See also the respective sections on how to take snapshots from your favorite movies.


Configuring Soft4Boost TV Recorder

The configuration window is activated by pressing the Settings button on the main controls panel or selecting the Settings option in the Favorite Channels window express menu.

The configuration window consists of three tabs:

Device parameters - use this tab to set the parameters of the device installed on your computer. The availability of the settings depends on the type of the device.

Channels - use this tab to set the channels that will be displayed in the Favorite Channels window.

Options - use this tab to set the recordings and snapshots paths, adjust the timeshift settings and the additional channels parameters.


Device Parameters Settings

Before you can start watching the channels you need to configure the capture device used. To open the Device Parameters window click the Settings button on the main controls panel and choose the appropriate tab. The Device Parameters tab looks like this:

Here you can see the following settings:

Country - allows you to choose the country of the broadcast and scan channels in a specified frequency range.

Input - allows you to choose the input jack on the tuner. The most common number of inputs are 1, 2, 4, 8, 16 and 32.

Source - allows you to choose the device used to receive or amplify the broadcast signal: antenna or cable.

Video Format - shows the input video file parameters such as:

Compression type - type of format used to code the video information into the video file

Bitrate - the number of bits transferred per second, measured in kilobits per second.

Frame size - the number of pixels that form the video image (horizontally/vertically).

Frame rate - the number of video frames displayed every second.

Audio Format - shows the input audio file parameters such as: Format - the format used to encode the audio component of the movie.

Bitrate - the number of data points used to approximate the true wave form (kilobits per second).

Sample rate - sampling frequency specified in hertz.

Channels - number of channels in the audio track (mono - one channel, stereo - two channels, quadro - four channels, 4.1 - five channels, 5.1 - six channels, 6.1 - seven channels, 7.1 - eight channels).

In order to configure the video/audio format parameters click the Additional Device Settings button, the information window for the connected device properties will be opened. These settings depend on the capture device used and will look differently for a specific device.

When you change the video/audio format parameters, the recorded video quality and size are also customized. The smaller the parameters value is, the worse the quality of the recorded video is, however the smaller the size of the recorded video file becomes.

Note: please, make sure you know what you are doing, as in some cases the settings change can cause video quality degradation.

If you have no idea about what your antenna equipment information is, you should check the LNB frequency on your LNB user's guide or consult your antenna manufacturer for more information.

Click the Apply button to accept all the changes and continue work with Soft4Boost TV Recorder or Cancel to discard all the changes.


Channels Settings

Before you can start watching the channels you need to scan them. Please, open the Channels tab of the Settings window and click the Start scan button. The channels scanning process may take several minutes, please, wait till it completes to find all the available channels. Or click the Stop scan button to interrupt the process and continue later on, if the Continue scan option is set. To clear the list of the channels click the Clear list button, after that you can perform a new scan pressing the Start scan button. See the list of the scanned channels below:

After the tuner finds the channels you can select the necessary stations from the list of the present ones and add them to the favorites list. Click the gray star near the channel you want to add or click the channel itself with the right mouse button and select the Add to favorites option in the express menu. The channels already in the Favorites list will be marked with a yellow star on the list in the settings window. The sign means that the marked channel has a strong reception signal.

If you need to delete the channel from the Favorites list, click it with the right mouse button and select the Remove from favorites option in the express menu or click the yellow star near the channel to delete once again.

Note: you can automatically add the channels with good signal to the favorites list during the channels scan. This option is set by default, you can disable this function in the Options tab of the Settings window.

In order to change the channels setting click the Properties button in the bottom of the window or select the Properties option in the channel express menu. The Channel Properties window appears:

Name - you can see and change the name of the selected channel.

Video Device - you can see the name and the model of the installed TV tuner.

Video Input - you can see the used input jack on the tuner. The most common number of inputs are 1, 2, 4, 8, 16 and 32.

Video Source - you can see the device used to receive or amplify the broadcast signal: antenna or cable.

Video Standard - you can select the television display standard that is used in a particular part of the world. The most common standards are PAL, NTSC, SECAM.

Frequency - the electromagnetic carrier waves upon which audio, video, or data signals is superimposed for transmission, measured in Hertz (Hz).

You have a possibility of fine tuning the selected channel using the up and down arrows or the slider below the Frequency field. Tune in the channel if the program could not find it due to, for instance, a weak signal.

Click the OK button to apply the adjusted frequency or Default button to set the default frequency of the channel.

Click the Apply button to accept all the changes and continue work with Soft4Boost TV Recorder or Cancel to discard all the changes.


Other Options

In order to see or change some additional parameters open the Options tab of the Settings window.

It is divided in two parts:

Common settings - allow you to set the directory-path where the recorded files and created snapshots are saved and to see the free space on the drive.

Channels settings - allow you to set the additional channels parameters.

Common settings

Recording path - the directory where the recorded video files are saved. Here you can also see the amount of available space on the selected disk drive and the maximum duration of the video file.

Snapshots path - the directory where the created snapshots are saved. Here you can also see the amount of available space on the selected disk drive.

Timeshifting path - the directory where the temporary data files are saved. Here you can also see the amount of available space on the selected disk drive and the maximum duration of the video file.

Buffer time - the maximum duration of the video available for timeshift recording (measured in hours:minutes:seconds). You can change the time value and see how large the file size will be. We recommend that you set a time value so that the buffer size were 100-150 MB less than the available disk space.

Note: the maximum Buffer time is 24 hours. But when you set such a big value, make sure you don't exceed the amount of available disk space.

Channels settings

Scan Standard - the video signal format used in a particular part of the world. If you need to change the existing standard, click the following button and select the appropriate format in the dropdown list.

Note: the number of available formats depends on the selected Country in the Device Parameters tab.

Scan Mode - the channel scanning process. Choose what you want: to have a possibility to Continue scan after clicking the Stop scan button or Scan All Channels every time you click the Start scan button.

Additional Scan Parameters - the supplementary parameters allow you to add the channels with good signal to the favorites list during the channels scan. To do this select Automatically add the channel to the favorites list or not use this option if (none) is selected.

Surfing Mode - the type of browsing through the channels from the Favorites list. The available Simple mode shows several channels one by one every 5 seconds. When you want to continue watching one of the channels, just click the Stop button on the player controls panel.


Taking Snapshots

The Snapshots panel appears every time you click the Snapshots button on the main controls panel. Using this window you can create snapshots and control their quality.

You can use the following options to manage your snapshots:

Note: you have an opportunity to take snapshots while the playing and recording video files, and even when the timeshifting function is active.

By default the name of the created image file will be Snapshot_0000, Snapshot_0001 and so on. You can easily rename the selected snapshot. Click it with the right mouse button and choose the appropriate option in the express menu. All the image files have the .bmp (standard Windows bitmap file format) extension. If you double click one of the taken snapshots, it will be opened as a full-size image.

You can see all the created snapshots simultaneously using the Find target... option from the express menu. The opened window shows you the default directory where the image files are saved. If you need, you can select another folder for your pictures.


Using Scheduler

You can start recording the video clicking the appropriate button on the Player controls panel. But it's not very convenient if you need to record a program which starts in several hours. We advise you to use the Scheduler Task integrated in the program. Open it clicking the Scheduler button on the main controls panel. The Scheduler window looks like this:

Start Task - use this button to run the selected task.

Stop Task - use this button to stop running the current task.

New Task - use this button to add a new task to the scheduled tasks list.

Modify Task - use this button to change the parameters of the selected task.

Delete Task - use this button to remove the currently selected task from the list.

Clear - use this button to remove all the scheduled tasks from the list.

The heading of the window consists of the following items:

Name - the name of the scheduled task. By default will be Task 1, Task 2 and so on. You can rename the selected task choosing the appropriate option in the express menu.

Status - current status of the scheduled task. A task can have the following status:

Expect - this status appears when you click the Start Task button, but the specified date and time are not reached.

Executed - this status appears while the task is performing.

Unknown - this status appears when the task has not been run, if the task is ready to be run, click the Start Task button.

Skipped - this status appears when the specified date and time have expired.

Complete - this status appears when the task is successfully performed.

Channel - the channel used as the scheduled task source.

Action - the action to be taken within the scheduled task.

Length - the duration of the scheduled task in minutes.

Start - the start time - date and time - of the scheduled task.

In order to add a new task, click the New Task button. The opened window allows you to program the following parameters:

Name - the name of the new task. You can type a name for the scheduled task.

Channel - the number/name of the channel used as the scheduled task source. You can select the appropriate channel from the dropdown list.

Note: the number of the available channels depends on the number of channels included in the favorites list.

Action - the action to perform: Program recording to record the selected channel or Viewing reminder to change the channel at the specified time.

Time - the time of the scheduled task. You can specify the time (hours:minutes:seconds) to start the task.

Date - the date of the scheduled task. You can specify the date (day/month/year) to start the task.

Duration - the length of the scheduled task, measured in hours:minutes:seconds.

Click the Add button to accept all the changes and create a new task or Cancel to discard all the changes and close the Scheduled Task window.

Note: if you want the program to perform some recording tasks, you should leave the program running and do not record any other channels manually, otherwise the tasks you set will be skipped.


Recording and Playback Files

You can start recording the video just clicking the Record button on the main controls panel. After that the recording will start and you will be able to stop it pressing the Stop button or pause with the appropriate button.

Note: you cannot change the channels when the recording process is enabled.

Then you can watch the recorded file clicking the Playback button. If you have already recorded several files it might be convenient to view the list of all of them at once and select the necessary one that you would like to playback. To open the recorded files window you need to press the Show recorded files button on the main controls panel. After that you can do the following:

Play - Use this button to playback the recorded video files.

Stop - Use this button to stop the recorded files playback.

Edit Video - Use this button to edit the recorded files.

Delete - Use this button to remove the currently selected files from the list.

Delete All - Use this button to remove all the files from the list and clear it.

The Recorded Files window has its own express menu.


Timeshift Option

Time shift is a non-linear recording and playback system. This option allows you to record a broadcast with the intention of watching it later at a more convenient time. Make sure you don't miss any part of the movie or show you watch, even if you should, for example, go away from your PC. This option helps you start watching the recorded program from the beginning even if the recording is not yet complete.

Soft4Boost TV Recorder allows you to use the Timeshift option in the following situations:

1) In case you're interrupted while watching a movie.

Click the Pause button. You will have a fixed picture on the screen and timeshift recording will start automatically. To continue watching the movie, click the Pause button once again. If you need to stop the recording and watch the real-time broadcast video translation, click the Stop button.

2) You would like to watch a news program but you are indisposed and can start to watch it half an hour later.

In order not to miss the beginning you start the timeshift recording at the beginning of the program clicking the Timeshift button. Then move the Navigation slider to the beginning of the progress bar and watch the program where you left off. To find the exact or interesting moment of the program, move the slider to the left or to the right searching for the desired scene. If you want to stop the recording and return to the live broadcast, click the Stop button.

Note: the slider position is in direct proportion to the buffer capacity, so in the beginning you can see a long blue line which becomes shorter during the recording.

You can control the real-time video delay on the program display.

While the timeshift recording the program uses the free space on your hard drive to create and save the temporary data files. By default it allows you to record 30 minutes of the broadcast video. When the available buffer size is used, the program overwrites the first parts of the recorded data. To set the Buffer time available for the timeshifting and adjust other parameters, open the Settings window and change the Timeshift settings in the Options tab.

Note: you cannot change the channels when the timeshifting process is enabled.

s is enabled.